#
# spec file for package pam_smb (Version 2.0.0rc6)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-devel pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           pam_smb
BuildRequires:  pam-devel
License:        LGPL
Group:          Productivity/Security
Autoreqprov:    on
Version:        2.0.0rc6
Release:        19.2
Summary:        A PAM Module for User Authentication using an NT Server
URL:            http://www.csn.ul.ie/~airlied/pam_smb/
Source:         %{name}-%{version}.tar.bz2
Source1:        rc.pamsmbd
Source2:        login.example
Patch:          %{name}-%{version}.dif
Patch2:         %{name}-%{version}-daemon-fix.diff
Patch3:         %{name}-%{version}-gcc-fix.diff
Patch4:         %{name}-%{version}-configure.diff
Patch5:         %{name}-%{version}-array-fix.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
pam_smb is a PAM module which allows authentication of UNIX users using
an NT server.



Authors:
--------
    Dave Airlie <David.Airlie@ul.ie>

%debug_package
%prep
%setup -n %{name}-2.0.0-rc6
%patch
%patch2
%patch3
%patch4
%patch5
cp %{S:2} .

%build
%{suse_update_config -f}
libtoolize -f
aclocal
autoconf
CFLAGS="$RPM_OPT_FLAGS" ./configure --sbindir=/usr/sbin --libdir=/%_lib
make

%install
install -d 755 $RPM_BUILD_ROOT/%{_lib}/security
install -d 755 $RPM_BUILD_ROOT/{etc/init.d,usr/sbin}
install -m 755 pamsmbm/pam_smb_auth.so $RPM_BUILD_ROOT/%{_lib}/security
install -m 755 pamsmbd/pamsmbd $RPM_BUILD_ROOT/usr/sbin/
install -m 644 pam_smb.conf.example $RPM_BUILD_ROOT/etc/pam_smb.conf
install -m 755 %{S:1} $RPM_BUILD_ROOT/etc/init.d/pamsmbd
ln -sf ../../etc/init.d/pamsmbd $RPM_BUILD_ROOT/usr/sbin/rcpamsmbd

%files
%defattr(-,root,root)
%doc CHANGES COPYING README TODO login.example
%config /etc/pam_smb.conf
/%{_lib}/security/pam_smb_auth.so
%config /etc/init.d/*
%{_sbindir}/*

%clean
rm -rf $RPM_BUILD_ROOT

%changelog -n pam_smb
* Mon Feb 20 2006 - postadal@suse.cz
- fixed array subscript out of range [#152039] (array-fix.patch)
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Dec 20 2005 - ro@suse.de
- fix syntax error in configure.in
* Thu Sep 22 2005 - postadal@suse.cz
- fixed gcc issues (strict aliasing, implicit declaration)
* Wed Jan 26 2005 - postadal@suse.cz
- updated to version 2.0.0rc6
* Tue Apr 20 2004 - postadal@suse.cz
- fixed gcc issue
- fixed bug with daemonize pamsmbd (redirectig sdt* to /dev/null) [#39075]
* Wed Feb 18 2004 - postadal@suse.cz
- fixed lib64 paths
* Tue Feb 17 2004 - postadal@suse.cz
- removed bogus self-provides
* Mon Feb 16 2004 - postadal@suse.cz
- updated to version 2.0.0rc5
  * caching support
  * username mapping of Unix usernames to NT usernames.
- fixed configure.in
- added rc.pamsmbd script, login.example and pamsmbd daemon
* Sat Jan 17 2004 - ro@suse.de
- added pam-devel to neededforbuild
* Sun Jan 11 2004 - adrian@suse.de
- build as user
* Wed Aug 20 2003 - postadal@suse.cz
- fixed buffer overflow in the password handling code - CAN-2003-0686 [#28990]
* Mon Aug 04 2003 - ro@suse.de
- use libdir for lib64 platforms
* Tue Sep 17 2002 - ro@suse.de
- removed bogus self-provides
* Wed Jun 06 2001 - cihlar@suse.cz
- fixed to compile with new autoconf
* Fri Nov 10 2000 - cihlar@suse.cz
- added suse_update_config
- bzipped sources
* Mon Sep 11 2000 - cihlar@suse.cz
- update to version 1.1.6 with security bug fix
* Wed Apr 26 2000 - cihlar@suse.cz
- added BuildRoot
* Tue Feb 15 2000 - kukuk@suse.de
- Insert Group tag.
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Wed Jun 16 1999 - kukuk@suse.de
- First version.
